Loading...
Searching...
No Matches
CropHelpers.h File Reference

Shared helpers for Crop effect scaling logic. More...

Go to the source code of this file.

## Namespaces

namespace | openshot
| This namespace is the default namespace for all code in the openshot library.

## Functions

void | openshot::ApplyCropResizeScale (Clip *clip, int source_width, int source_height, int &max_width, int &max_height)
| Scale the requested max_width / max_height based on the Crop resize amount, capped by source size.
const Crop * | openshot::FindResizingCropEffect (Clip *clip)
| Return the first Crop effect on this clip that has resize enabled (if any).

## Detailed Description

Shared helpers for Crop effect scaling logic.

Author
  Jonathan Thomas jonat.nosp@m.han@.nosp@m.opens.nosp@m.hot..nosp@m.org

License

Definition in file CropHelpers.h.